Draftsight problem

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
User avatar
nomko
Level 10
Level 10
Posts: 3025
Joined: Sat Feb 25, 2012 7:28 pm
Location: The Hague, The Netherlands

Draftsight problem

Post by nomko » Thu May 09, 2013 7:28 am

I installed Draftsight and when i want to start the program it gives me some vague error message. To find out what caused this i started Draftsight in a terminal and then i got the same vague error message and some message in the terminal:

http://www.wuala.com/nomko/Share%20Fold ... -2013.jpg/

Does anyone know what the problem is?

User avatar
xenopeek
Level 24
Level 24
Posts: 24137
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Draftsight problem

Post by xenopeek » Thu May 09, 2013 2:09 pm

Google for the error (https://www.google.com/search?q=qgtksty ... rent&hl=en); there are several results indicating some solutions and this being related to Gtk+ 2 theme not being set correctly?

Some links that seem to have the most helpful suggestions;
http://forum.xfce.org/viewtopic.php?id=5605
https://bbs.archlinux.org/viewtopic.php?id=99175

Try installing and running qtconfig (package qt4-qtconfig). Depending on which DE you are running, libgnomeui-0 might not be installed? (As recommended as a solution on the Arch wiki.)
Image

User avatar
karashata
Level 4
Level 4
Posts: 439
Joined: Tue May 10, 2011 2:53 pm
Location: Stratford, Ontario, Canada
Contact:

Re: Draftsight problem

Post by karashata » Thu May 09, 2013 7:30 pm

Also, your "vague" error message says it failed to load the modules and to reinstall the application, so you might try that as well. It seems the modules for the application may not have been installed correctly.

The GTK theme not being recognized should not stop the application from loading, however, it will cause the application to take on an appearance similar to that of Windows 95.
Linux Mint user since 2010, fluffy dragon forever!
Registered Linux User #473695
Image

User avatar
nomko
Level 10
Level 10
Posts: 3025
Joined: Sat Feb 25, 2012 7:28 pm
Location: The Hague, The Netherlands

Re: Draftsight problem

Post by nomko » Fri May 10, 2013 3:37 am

karashata wrote:Also, your "vague" error message says it failed to load the modules and to reinstall the application, so you might try that as well. It seems the modules for the application may not have been installed correctly.
Done that a couple of times, results are the same. In my opinion it has nothing to do with installing the program in such way that before Draftsight is installed it also installs the missing dependencies.
karashata wrote:The GTK theme not being recognized should not stop the application from loading, however, it will cause the application to take on an appearance similar to that of Windows 95.
It does stop the program from loading. So the problem here must be somewhere with the GTK theme or GTK modules.

User avatar
karashata
Level 4
Level 4
Posts: 439
Joined: Tue May 10, 2011 2:53 pm
Location: Stratford, Ontario, Canada
Contact:

Re: Draftsight problem

Post by karashata » Fri May 10, 2013 4:01 am

nomko wrote:It does stop the program from loading. So the problem here must be somewhere with the GTK theme or GTK modules.
I can tell you right now that not being able to detect your GTK theme will not stop the application from running, it will only prevent it from being styled nicely, defaulting to a Windows 95-esque appearance. QGtkStyle allows QT-based applications (such as DraftSight, and Skype, and many others) to be styled using GTK+, and it's *that* which is putting up the error in your terminal, *not* DraftSight.

If you want to fix your GTK theme issue with QT, you might try some of the steps people have taken in this Arch thread: https://bbs.archlinux.org/viewtopic.php?id=99175

But I'm fairly certain this will not fix the root problem you're having with your program.

Googling for "draftsight failed to load modules" brings up some fairly interesting results. Apparently you're not the only one who has had problems getting the application to run after installing it. I suggest you Google the above and look through some of the blog posts turned up as results, you might find the solution to your problem that way.

(As a side note, I wish I had thought to do that sooner, I could have saved myself this mild rant...)
Linux Mint user since 2010, fluffy dragon forever!
Registered Linux User #473695
Image

User avatar
nomko
Level 10
Level 10
Posts: 3025
Joined: Sat Feb 25, 2012 7:28 pm
Location: The Hague, The Netherlands

Re: Draftsight problem

Post by nomko » Fri May 10, 2013 5:05 am

karashata wrote:
nomko wrote:It does stop the program from loading. So the problem here must be somewhere with the GTK theme or GTK modules.
I can tell you right now that not being able to detect your GTK theme will not stop the application from running,
As i said, it does stop the program from loading! I can see that happen on my computer, you can't see that happen. So don't judge for me what's going on on my system. Again, It does stop loading the program!!

User avatar
xenopeek
Level 24
Level 24
Posts: 24137
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Draftsight problem

Post by xenopeek » Fri May 10, 2013 5:41 am

nomko, let's not dragg out an argument. Perhaps try some of the suggestions we pointed at? We don't have a clear solution, but there are some things that sound worthwhile to try.
Image

meaflah
Level 1
Level 1
Posts: 1
Joined: Mon Sep 09, 2013 5:43 am

Re: Draftsight problem

Post by meaflah » Mon Sep 09, 2013 5:48 am

can't install draftsight on my linux mint 15 olivia
the below error is showing while installing .deb file


<<<<<<<<<<<<<<< (Reading database ... 196448 files and directories currently installed.)
Unpacking dassault-systemes-draftsight (from /home/aflah/draftSight.deb) ...
access control disabled, clients can connect from any host
access control disabled, clients can connect from any host
access control enabled, only authorized clients can connect
access control enabled, only authorized clients can connect
dpkg-deb (subprocess): decompressing archive member: internal gzip read error: '<fd:4>: invalid code lengths set'
dpkg-deb: error: subprocess <decompress> returned error exit status 2
dpkg: error processing /home/aflah/draftSight.deb (--install):
cannot copy extracted data for './opt/dassault-systemes/draftsight/Help/portuguese/portuguese.qch' to '/opt/dassault-systemes/draftsight/Help/portuguese/portuguese.qch.dpkg-new': unexpected end of file or stream
Errors were encountered while processing:
/home/aflah/draftSight.deb
>>>>>>>>>>

Post Reply

Return to “Software & Applications”